import { r as n, i as m, e as d } from "./query-assigned-elements-D930kELM.mjs";
import { s as v, T as b } from "./mwc-tab.css-DUOF704w.mjs";
const i = ':host{--mdc-tab-text-label-color-default: var( --mdc-theme-text-primary-on-background );--mdc-tab-color-default: var(--mdc-theme-text-icon-on-background);--mdc-tab-height: calc(48px + var(--cv-density-mode, 0) * var(--cv-density-interval, 4px))}:host .mdc-tab:not(.mdc-tab--active) .mdc-tab__text-label{color:var(--mdc-theme-text-primary-on-background)}:host .mdc-tab--active{font-variation-settings:"FILL" 1}:host[minwidth]{flex:0 0 auto}';
var h = Object.getOwnPropertyDescriptor, p = (o, r, l, c) => {
  for (var t = c > 1 ? void 0 : c ? h(r, l) : r, a = o.length - 1, s; a >= 0; a--)
    (s = o[a]) && (t = s(t) || t);
  return t;
};
let e = class extends b {
};
e.styles = [v, m`${n(i)}`];
e = p([
  d("cv-tab")
], e);
const u = e;
export {
  e as CovalentTab,
  u as default
};
